summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-08-03 10:34:48 +0200
committerErich Eckner <git@eckner.net>2017-08-03 10:34:48 +0200
commit4ff3ae588805c768827ea174f74ce49cfccafcec (patch)
treea72fea204f2cfacea8cd7cef60faf9071a35ea3f
parent3c68a157dc6ebc994218bd172bcc75e868462e86 (diff)
downloadbuilder-4ff3ae588805c768827ea174f74ce49cfccafcec.tar.xz
bin/sanity-check: save mark if build master is insane or sane
-rwxr-xr-xbin/sanity-check23
1 files changed, 15 insertions, 8 deletions
diff --git a/bin/sanity-check b/bin/sanity-check
index beb1206..a61f3aa 100755
--- a/bin/sanity-check
+++ b/bin/sanity-check
@@ -15,6 +15,11 @@ usage() {
[ -z "$1" ] && exit 1 || exit $1
}
+i_am_insane() {
+ echo 'build master is insane' > "${work_dir}/build-master-sanity"
+ exit 1
+}
+
eval set -- "$(
getopt -o hqr \
--long help \
@@ -75,7 +80,7 @@ while [ $# -gt 0 ]; do
echo "The following build orders are wrongly formatted:"
echo "${errors}"
fi
- exit 1
+ i_am_insane
fi
errors=$(
@@ -90,7 +95,7 @@ while [ $# -gt 0 ]; do
echo "The following packages have duplicate build orders:"
echo "${errors}"
fi
- exit 1
+ i_am_insane
fi
errors=$(
@@ -108,7 +113,7 @@ while [ $# -gt 0 ]; do
echo "The following packages appear on the build- and deletion-list:"
echo "${errors}"
fi
- exit 1
+ i_am_insane
fi
[ ${silence} -gt 0 ] || \
@@ -138,7 +143,7 @@ while [ $# -gt 0 ]; do
echo "The following repos are missing or obsolete on the mirror:"
echo "${errors}"
fi
- exit 1
+ i_am_insane
fi
[ ${silence} -gt 0 ] || \
@@ -176,7 +181,7 @@ while [ $# -gt 0 ]; do
echo "The following packages in ${repo} are missing a signature or vice versa:"
echo "'${errors}'"
fi
- exit 1
+ i_am_insane
fi
${master_mirror_rsync_command} \
@@ -209,7 +214,7 @@ while [ $# -gt 0 ]; do
echo "The following packages in ${repo} are missing from the database or vice versa:"
echo "${errors}"
fi
- exit 1
+ i_am_insane
fi
errors=$(
@@ -237,7 +242,7 @@ while [ $# -gt 0 ]; do
echo "The following packages in ${repo} are missing from the file-database or vice versa:"
echo "${errors}"
fi
- exit 1
+ i_am_insane
fi
rm -rf --one-file-system "${tmp_dir}/"*
@@ -282,7 +287,7 @@ while [ $# -gt 0 ]; do
echo "The following ${status%:*} packages do not have state files or vice versa:"
echo "${errors}"
fi
- exit 1
+ i_am_insane
fi
[ ${silence} -gt 0 ] || \
@@ -305,3 +310,5 @@ while [ $# -gt 0 ]; do
shift
done
+
+rm -f "${work_dir}/build-master-sanity"